//
//  XPSDKConstants.swift
//  XProtect
//
//  Created by Ivelin Tsankov on 2/1/17.
//  Copyright © 2017 Milestone Systems A/S. All rights reserved.
//

import Foundation

let XPSDKPublicYes = "Yes"
let XPSDKPublicNo = "No"
let XPSDKPublicKey = "PublicKey"
let XPSDKDeviceId = "DeviceId"
let XPSDKConnectionId = "ConnectionId"
let XPSDKServerId = "ServerId"
let XPSDKTimeout = "Timeout"
let XPSDKConnect = "Connect"
let XPSDKUsername = "Username"
let XPSDKPassword = "Password"
let XPSDKSecondStepAuthenticationPin = "SecondStepAuthenticationPin"
let XPSDKSupportsResampling = "SupportsResampling"
let XPSDKSupportsExtendedResamplingFactor = "SupportsExtendedResamplingFactor"
let XPSDKNoNextPlaylistOnDownload = "NoNextPlaylistOnDownload"
let XPSDKClientType = "ClientType"
let XPSDKMobileClient = "MobileClient"
let XPSDKLogin = "LogIn"
let XPSDKLiveMessage = "LiveMessage"
let XPSDKMilestoneXProtectServiceAlias = "XProtectMobile"
let XPSDKMilestoneXProtectEndPoint = "/\(XPSDKMilestoneXProtectServiceAlias)/Communication"
let XPSDKRequestSecondStepAuthenticationPin = "RequestSecondStepAuthenticationPin"
let XPSDKDisconnect = "Disconnect"
let XPSDKVerifySecondStepAuthenticationPin = "VerifySecondStepAuthenticationPin"
let XPSDKGetAllViewsAndCameras = "GetAllViewsAndCameras"
let XPSDKGetViews = "GetViews"
let XPSDKGetViewsParamViewId = "ViewId"
let XPSDKGetPermittedUsers = "GetPermittedUsers"
let XPSDKResponseErrorDomain = "XPSDKResponseErrorDomain"
let XPSDKCommunication = "Communication"
let XPSDKCommand = "Command"
let XPSDKEncryptedCommand = "EncryptedCommand"
let XPSDKvalue = "value"
let XPSDKValue = "Value"
let XPSDKName = "Name"
let XPSDKType = "Type"
let XPSDKResponseKey = "Response"
let XPSDKProcessing = "Processing"
let XPSDKOutputParams = "OutputParams"
let XPSDKParam = "Param"
let XPSDKSubItems = "SubItems"
let XPSDKSequences = "Sequences"
let XPSDKOEHeaderGroup = "OEHeaderGroup"
let XPSDKExports = "Exports"
let XPSDKItems = "Items"
let XPSDKItem = "Item"
let XPSDKAlarm = "Alarm"
let XPSDKAlarmDataSetting = "AlarmDataSetting"
let XPSDKNotification = "Notification"
let XPSDKResult = "Result"
let XPSDKOK = "OK"
let XPSDKErrorString = "ErrorString"
let XPSDKErrorCode = "ErrorCode"
let XPSDKId = "Id"
let XPSDKRequestDefaultError = "XPSDKRequestDefaultError"
let XPSDKRequestXMLParse = "XPSDKRequestXMLParse"
let kNetworkReachabilityChangedNotification = "kNetworkReachabilityChangedNotification"
let XPSDKGetOutputsAndEvents = "GetOutputsAndEvents"
let XPSDKGetOutputsParamCameraId = "CameraId"
let XPSDKRequestActivation = "RequestActivation"
let XPSDKRequestActivationParamObjectId = "ObjectId"
let XPSDKRequestActivationParamTriggerType = "TriggerType"
let XPSDKGetAlarms = "GetAlarmList"
let XPSDKGetAlarmsParamValueYes = "Yes"
let XPSDKGetAlarmsParamValueNo = "No"
let XPSDKGetAlarmsParamMyAlarms = "MyAlarms"
let XPSDKGetAlarmsParamOperator = "Operator"
let XPSDKGetAlarmsParamTimestamp = "Timestamp"
let XPSDKGetAlarmsParamState = "State"
let XPSDKGetAlarmsParamPriority = "Priority"
let XPSDKGetAlarmsParamCount = "Count"
let XPSDKGetAlarmDataSettings = "GetAlarmDataSettings"
let XPSDKGetAlarmsParamId = "AlarmId"
let XPSDKAcknowledgeAlarm = "AcknowledgeAlarm"
let XPSDKAcknowledgeAlarmParamId = "Id"

let XPSDKConnectionRequestNameRequestStream = "RequestStream"
let XPSDKConnectionRequestStreamParamCameraID = "CameraId"
let XPSDKConnectionRequestStreamParamDestWidth = "DestWidth"
let XPSDKConnectionRequestStreamParamDestHeight = "DestHeight"
let XPSDKConnectionRequestStreamParamFPS = "Fps"
let XPSDKConnectionRequestStreamParamCompressionLevel = "ComprLevel"
let XPSDKConnectionRequestStreamParamKeyFramesOnly = "KeyFramesOnly"
let XPSDKConnectionRequestStreamParamSignalType = "SignalType"
let XPSDKConnectionRequestStreamParamMethodType = "MethodType"
let XPSDKConnectionRequestStreamParamVideoID = "VideoId"
let XPSDKConnectionRequestStreamParamSrcWidth = "SrcWidth"
let XPSDKConnectionRequestStreamParamSrcHeight = "SrcHeight"
let XPSDKConnectionRequestStreamParamAddress = "Address"
let XPSDKConnectionRequestStreamParamPort = "Port"
let XPSDKConnectionRequestStreamBookmark = "Bookmark"
let XPSDKConnectionRequestStreamParamTime = "Time"
let XPSDKConnectionRequestStreamParamStreamType = "StreamType"
let XPSDKConnectionRequestStreamParamUserDownsampling = "UserInitiatedDownsampling"
let XPSDKConnectionRequestStreamParamResizeAvailable = "ResizeAvailable"
let XPSDKConnectionRequestStreamParamOriginalSize = "OriginalSize"

let XPSDKConnectionRequestStreamParamSupportsLive = "Live"
let XPSDKConnectionRequestStreamParamSupportsPlayback = "Playback"
let XPSDKConnectionRequestStreamParamSupportsPTZ = "PTZ"
let XPSDKConnectionRequestStreamParamSupportsPTZPresets = "Preset"
let XPSDKConnectionRequestStreamParamSupportsValueYes = "Yes"
let XPSDKConnectionRequestStreamParamSupportsValueNo = "No"
let XPSDKConnectionRequestStreamParamSupportsSequences = "Sequences"
let XPSDKConnectionRequestStreamParamSupportsAviExports = "ExportAvi"
let XPSDKConnectionRequestStreamParamSupportsJpegExports = "ExportJpeg"

let XPSDKConnectionRequestNameCloseStream = "CloseStream"
let XPSDKConnectionCloseStreamParamVideoID = "VideoId"

let XPSDKConnectionRequestNameChangeStream = "ChangeStream"
let XPSDKConnectionRequestStreamParamSrcLeft = "SrcLeft"
let XPSDKConnectionRequestStreamParamSrcRight = "SrcRight"
let XPSDKConnectionRequestStreamParamSrcTop = "SrcTop"
let XPSDKConnectionRequestStreamParamSrcBottom = "SrcBottom"
let XPSDKConnectionChangeStreamParamVideoID = "VideoId"
let XPSDKConnectionChangeStreamParamCompressionLevel = "ComprLevel"
let XPSDKConnectionChangeStreamParamSpeed = "Speed"
let XPSDKConnectionChangeStreamParamSeekTypePrevSeq = "PrevSeq"
let XPSDKConnectionChangeStreamParamSeekTypeNextSeq = "NextSeq"
let XPSDKConnectionChangeStreamParamSeekTypePrevFrame = "PrevFrame"
let XPSDKConnectionChangeStreamParamSeekTypeNextFrame = "NextFrame"
let XPSDKConnectionChangeStreamParamSeekType = "SeekType"
let XPSDKConnectionChangeStreamParamTime = "Time"
let XPSDKConnectionChangeStreamParamPtzMove = "PtzMove"
let XPSDKConnectionChangeStreamParamPtzPreset = "PtzPreset"
let XPSDKConnectionRequestNameGetPTZPresets = "GetPtzPresets"
let XPSDKConnectionGetPTZPresetsParamVideoID = "VideoId"
let XPSDKConnectionRequestNameGetSequences = "GetSequences"
let XPSDKConnectionGetSequencesParamCameraId = "CameraId"
let XPSDKConnectionGetSequencesParamTime = "Time"
let XPSDKConnectionGetSequencesParamSeqType = "SeqType"
let XPSDKConnectionGetSequencesParamBeforeTime = "BeforeTime"
let XPSDKConnectionGetSequencesParamBeforeCount = "BeforeCount"
let XPSDKConnectionGetSequencesParamAfterTime = "AfterTime"
let XPSDKConnectionGetSequencesParamAfterCount = "AfterCount"
let XPSDKConnectionGetSequencesSequenceItem = "Sequence"
let XPSDKConnectionGetSequencesSequenceStartTime = "StartTime"
let XPSDKConnectionGetSequencesSequenceTimeStamp = "TimeStamp"
let XPSDKConnectionGetSequencesSequenceEndTime = "EndTime"
let XPSDKVideoPushLocation = "VideoPushLocation"

let ConnectionErrorXPDomain = "com.milestone.connectionerror"
